Problems with reading page on phones
03/09/2013 08:41 AM - Luke Murphey
Category: Estimated time: 0.00 hour
Target version: 0.8

Description

Associated revisions

Revision 443 - 03/25/2013 05:22 AM - Luke Murphey

Improved rendering of the Ul on phones (reference #553) and added the note number to notes.

Revision 443 - 03/25/2013 05:22 AM - Luke Murphey

Improved rendering of the Ul on phones (reference #553) and added the note number to notes.

Revision 433 - 03/25/2013 05:22 AM - Luke Murphey

Improved rendering of the Ul on phones (reference #553) and added the note number to notes.

Revision 463 - 04/04/2013 04:22 AM - Luke Murphey

Improved the reading page on mobile devices by aligning the drop down menu such that it stays left of the dropdown caret (which ensures it stays on

screen). | also shortened the editor description on phones so that it can reliably be displayed on a single screen.

Closes #553.

Revision 463 - 04/04/2013 04:22 AM - Luke Murphey

Improved the reading page on mobile devices by aligning the drop down menu such that it stays left of the dropdown caret (which ensures it stays on

screen). | also shortened the editor description on phones so that it can reliably be displayed on a single screen.

Closes #553.

Revision 452 - 04/04/2013 04:22 AM - Luke Murphey

Improved the reading page on mobile devices by aligning the drop down menu such that it stays left of the dropdown caret (which ensures it stays on

screen). | also shortened the editor description on phones so that it can reliably be displayed on a single screen.

Closes #553.

History

#1 - 03/09/2013 08:43 AM - Luke Murphey
- File image.jpg added
- File image.jpg added

#2 - 03/09/2013 07:23 PM - Luke Murphey
- Target version set to 0.7

#3 - 03/16/2013 09:19 AM - Luke Murphey

- Target version changed from 0.7 to 0.8

#4 - 03/25/2013 05:27 AM - Luke Murphey
- Status changed from New to In Progress

- % Done changed from 0 to 80

| improved the rendering on phones. However, | have a suspicion that there is a better solution. Something like:

e Split button dropdown
¢ Dropdown menu

#5 - 03/29/2013 07:49 PM - Luke Murphey

See the note after "Cherilus also, a still ancienter writer, and a poet, " in Against Apion 1:161 (Whiston) for an example of a very long note that gets
too big for many screens.

#6 - 04/03/2013 06:28 PM - Luke Murphey

The dropdown menus don't work due to this issue: http://alittlecode.com/fix-twitter-bootstraps-dropdown-menus-in-touch-screens/

#7 - 04/03/2013 06:56 PM - Luke Murphey
- File desktop.png added
- File mobile.png added

| want the dropdown menus to correct such that they don't push out of the viewport. Like this:

TextCritical.net Home Read Search About Contact

/ De amore prolis: 1

De amore prolis sy piutarch

Go @ Table of Contents Search £ = Other versions ~

De amore prolis (Greek) Gregorius N. Bernardakis

De amore prolis (English) Goodwin

‘ExxkAnTol kploeig kai Eevik@v Sikaotnplwv aywyai Toig “EAANGL, T6 mpdtov dmotiq Tfj mpdg [stephpage 493b] AAAAO

dAAoTplag dikaloolvng domep Tépou TIvoG TOV dvaykalwv i) puopévou nap' alTolg dendeiotv. dp' olv Kai ol PLid
poBAnuarwv Evia did Taq npdg dAAfAoug dagopds ent v TAOV dhdywv ¢piov Ipwv domnep alhodamiv MOAV EKK(
Exkelvwv maBeol kal fBeolv wg dvevtelkTolg kai adekdotolg édgudot v kplow; i} kai To0To g avepwnivne kakiag §

0 nepi 1OV avaykaloTatwv kai [stephpage 493c] peylotwv dudpdoEolvrag fjpdg Znteiv év Inmoig katl kuoi kat dpvior,

katl yevv@pev kai Tekvotpopduev we pndev v sautoic dHAwpa Tic pUoewg bv kai Td TGV Bnplwv 116N kal naén np

katapaptupfioal Tod Blou fpdv moAAiv To0 katd ¢piowv ékdlalmoiv kai napapaocty, el80G v dpxfj Kai nepl Ta mpd

05/04/2024 2/4


http://alittlecode.com/fix-twitter-bootstraps-dropdown-menus-in-touch-screens/
1 Go ~

1st of 5 chapters (20%) Search this work

e I De amore prolis (Greek) Gregorius N. Bernardakis

np@Tov AmoTiq Tf mpog De amore prolis (English) Goodwin

alotplag dikaioolvng @omnep ETEpou TIVOG T@V avaykalwv pry puopévou

nap' avTtoic dendelowv. dp' olv Kal ol phéoodol T@V MpopAnudrwv Evia

514 Tdg mpdg aAAfAoug dlagopdg emi v TOV albywv ¢lowv [pwv womep
alodamyv moéAiv Ekkaholvtal, kai Toic ekelvwv mdbeol kai Beov wg
#8 - 04/03/2013 07:11 PM - Luke Murphey

See http://stackoverflow.com/questions/1960082/position-of-div-in-relation-to-the-top-of-the-viewport and
http://taylor.fausak.me/2012/03/15/dropdown-menu-in-twitter-bootstraps-collapsed-navbar/

#9 - 04/04/2013 04:23 AM - Luke Murphey
- Status changed from In Progress to Closed

- % Done changed from 80 to 100

Applied in changeset r463
